package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingFullrangeAddexchangeitemRequest struct {
	/*
	   系统自动生成     */
	Param0 *domain.AlibabaHmMarketingFullrangeAddexchangeitemItemStairSku `json:"param0,omitempty" required:"false" `
	/*
	   系统自动生成     */
	Param1 *domain.AlibabaHmMarketingFullrangeAddexchangeitemCommonActivityParam `json:"param1,omitempty" required:"false" `
}

func (s *AlibabaHmMarketingFullrangeAddexchangeitemRequest) SetParam0(v domain.AlibabaHmMarketingFullrangeAddexchangeitemItemStairSku) *AlibabaHmMarketingFullrangeAddexchangeitemRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeAddexchangeitemRequest) SetParam1(v domain.AlibabaHmMarketingFullrangeAddexchangeitemCommonActivityParam) *AlibabaHmMarketingFullrangeAddexchangeitemRequest {
	s.Param1 = &v
	return s
}

func (req *AlibabaHmMarketingFullrangeAddexchangeitemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	return paramMap
}

func (req *AlibabaHmMarketingFullrangeAddexchangeitemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
